Skip to main content
GET
Get followed trader

Authorizations

Authorization
string
header
required

API key in the format cc_<64 hex characters>. Obtain from the Dashboard under Settings → API Keys.

Path Parameters

wallet
string
required

Trader's Ethereum wallet address.

Example:

"0xAbCd1234..."

Response

Trader details.

walletAddress
string
required

Trader's Ethereum wallet address.

Example:

"0xAbCd1234..."

copyTradingEnabled
boolean
required

true if copy trading is currently active for this trader.

copyPercentage
number
required

Percentage of each trade to copy.

Required range: 0 <= x <= 100
Example:

25

username
string | null

Trader's display name.

Example:

"sharptrader"

maxCopyAmount
number | null

Maximum USDC to deploy per copied trade. null means no cap.

Example:

500

totalCopied
integer

Total number of trades copied from this trader.

Example:

14

pnl
number

P&L in USDC from trades copied from this trader.

Example:

128.4

notificationsEnabled
boolean

Whether notifications are enabled for this trader's activity.

followedAt
integer

Unix timestamp (ms) when you started following this trader.

Example:

1741500000000

recentTrades
object[]

The 10 most recent trades by this trader.